Description

Foreman 1.4 running on RHEL 6.1 with a smart proxy running DNS, DHCP and TFTP services on RHEL 6.5

Running foreman proxy with DEBUG flag activated in settings.yml

When creating a new host, in the network form, select domain and after that subnet, the IP autosuggestion feature doesn't work.

Apparently the proxy things that all the addresses in the range are busy but they aren't.

Output example at /var/log/foreman-proxy/proxy.log:

I, [2014-02-20T14:04:33.251753 #7693]  INFO -- : Found a pingable IP address which does not have a Proxy::DHCP record

D, [2014-02-20T14:04:33.251873 #7693] DEBUG -- : Searching for free ip - pinging 172.20.13.252

I, [2014-02-20T14:04:33.252834 #7693]  INFO -- : Found a pingable IP address which does not have a Proxy::DHCP record

D, [2014-02-20T14:04:33.253045 #7693] DEBUG -- : Searching for free ip - pinging 172.20.13.253

I, [2014-02-20T14:04:33.253961 #7693]  INFO -- : Found a pingable IP address which does not have a Proxy::DHCP record

W, [2014-02-20T14:04:33.254088 #7693]  WARN -- : No free IPs at 172.20.13.0/255.255.255.0

(END)

For the whole log see attached file.

History

#1 - 02/21/2014 07:36 AM - Ohad Levy

according to the logs, you have something responding to tcp or icmp pings.

can you verify yourself? (try tcpping to port 7).

#2 - 02/21/2014 08:42 AM - Xavier Naveira

Ok so I pinged a free address with:

hping3 -S -p 7 172.120.13.125

and got

len=46 ip=172.20.13.125 ttl=255 id=18743 sport=7 flags=RA seq=0 win=0 rtt=0.5 ms

len=46 ip=172.20.13.125 ttl=255 id=32053 sport=7 flags=RA seq=1 win=0 rtt=0.4 ms

len=46 ip=172.20.13.125 ttl=255 id=44593 sport=7 flags=RA seq=2 win=0 rtt=0.5 ms

if I use icmp I get nothing

hping3 -1 172.120.13.125

It seems that our network configuration is faking the tcp response in some way... I'll checl with the network engineer, is there a workaround from your

part?

#3 - 02/21/2014 11:42 AM - Xavier Naveira

We have configured the firewall to let echo requests pass through with an explicit rule and now seems to be working.

We get suggested only addresses ended with and odd number as the last byte though (11,13,15...) Is this the expected behaviour?
#4 - 02/24/2014 12:37 PM - Dominic Cleal

- translation missing: en.field_release deleted (2)

#5 - 07/30/2014 07:54 AM - Ohad Levy

- Status changed from New to Feedback

can you confirm this now works as expected? thanks!

#6 - 05/17/2017 08:49 AM - Anonymous

- Status changed from Feedback to Resolved

no further reaction, seems fixed, closing.

Files

proxy.log 58.3 KB 02/20/2014 Xavier Naveira
